package com.mortals.xhx.module.workman.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.workman.model.vo.WorkmanVo;
/**
* 工作人员实体对象
*
* @author zxfei
* @date 2022-01-12
*/

public class WorkmanEntity extends WorkmanVo {
    private static final long serialVersionUID = 1L;

    /**
    * 系统用户id号
    */
    private Long systemUserId;
    /**
    * 部门id号
    */
    private Long deptId;
    /**
    * 部门名称
    */
    private String deptName;
    /**
    * 窗口id号
    */
    private Long windowId;
    /**
    * 窗口名称
    */
    private String windowName;
    /**
    * 站点ID
    */
    private Long siteId;
    /**
    * 站点名称
    */
    private String siteName;
    /**
    * 姓名
    */
    private String name;
    /**
    * 工号
    */
    private String number;
    /**
    * 职务
    */
    private String userpost;
    /**
    * 职称
    */
    private String posttitle;
    /**
    * 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
    */
    private Integer politicalstatus;
    /**
    * 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
    */
    private Integer dangyuan;
    /**
    * 电话
    */
    private String phone;
    /**
    * 手机
    */
    private String mobile;
    /**
    * 星级
    */
    private Integer starlevel;
    /**
    * 个人简介
    */
    private String summary;
    /**
    * 照片
    */
    private String photoPath;
    /**
    * 岗位职责
    */
    private String duty;
    /**
    * 服务承诺
    */
    private String promise;
    /**
    * 办理事项
    */
    private String business;
    /**
    * 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
    */
    private Integer online;



    public WorkmanEntity(){}
    /**
    * 获取 系统用户id号
    * @return Long
    */
    public Long getSystemUserId(){
        return systemUserId;
    }
    /**
    * 设置 系统用户id号
    * @param systemUserId
    */
    public void setSystemUserId(Long systemUserId){
        this.systemUserId = systemUserId;
    }
    /**
    * 获取 部门id号
    * @return Long
    */
    public Long getDeptId(){
        return deptId;
    }
    /**
    * 设置 部门id号
    * @param deptId
    */
    public void setDeptId(Long deptId){
        this.deptId = deptId;
    }
    /**
    * 获取 部门名称
    * @return String
    */
    public String getDeptName(){
        return deptName;
    }
    /**
    * 设置 部门名称
    * @param deptName
    */
    public void setDeptName(String deptName){
        this.deptName = deptName;
    }
    /**
    * 获取 窗口id号
    * @return Long
    */
    public Long getWindowId(){
        return windowId;
    }
    /**
    * 设置 窗口id号
    * @param windowId
    */
    public void setWindowId(Long windowId){
        this.windowId = windowId;
    }
    /**
    * 获取 窗口名称
    * @return String
    */
    public String getWindowName(){
        return windowName;
    }
    /**
    * 设置 窗口名称
    * @param windowName
    */
    public void setWindowName(String windowName){
        this.windowName = windowName;
    }
    /**
    * 获取 站点ID
    * @return Long
    */
    public Long getSiteId(){
        return siteId;
    }
    /**
    * 设置 站点ID
    * @param siteId
    */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
    * 获取 站点名称
    * @return String
    */
    public String getSiteName(){
        return siteName;
    }
    /**
    * 设置 站点名称
    * @param siteName
    */
    public void setSiteName(String siteName){
        this.siteName = siteName;
    }
    /**
    * 获取 姓名
    * @return String
    */
    public String getName(){
        return name;
    }
    /**
    * 设置 姓名
    * @param name
    */
    public void setName(String name){
        this.name = name;
    }
    /**
    * 获取 工号
    * @return String
    */
    public String getNumber(){
        return number;
    }
    /**
    * 设置 工号
    * @param number
    */
    public void setNumber(String number){
        this.number = number;
    }
    /**
    * 获取 职务
    * @return String
    */
    public String getUserpost(){
        return userpost;
    }
    /**
    * 设置 职务
    * @param userpost
    */
    public void setUserpost(String userpost){
        this.userpost = userpost;
    }
    /**
    * 获取 职称
    * @return String
    */
    public String getPosttitle(){
        return posttitle;
    }
    /**
    * 设置 职称
    * @param posttitle
    */
    public void setPosttitle(String posttitle){
        this.posttitle = posttitle;
    }
    /**
    * 获取 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
    * @return Integer
    */
    public Integer getPoliticalstatus(){
        return politicalstatus;
    }
    /**
    * 设置 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
    * @param politicalstatus
    */
    public void setPoliticalstatus(Integer politicalstatus){
        this.politicalstatus = politicalstatus;
    }
    /**
    * 获取 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
    * @return Integer
    */
    public Integer getDangyuan(){
        return dangyuan;
    }
    /**
    * 设置 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
    * @param dangyuan
    */
    public void setDangyuan(Integer dangyuan){
        this.dangyuan = dangyuan;
    }
    /**
    * 获取 电话
    * @return String
    */
    public String getPhone(){
        return phone;
    }
    /**
    * 设置 电话
    * @param phone
    */
    public void setPhone(String phone){
        this.phone = phone;
    }
    /**
    * 获取 手机
    * @return String
    */
    public String getMobile(){
        return mobile;
    }
    /**
    * 设置 手机
    * @param mobile
    */
    public void setMobile(String mobile){
        this.mobile = mobile;
    }
    /**
    * 获取 星级
    * @return Integer
    */
    public Integer getStarlevel(){
        return starlevel;
    }
    /**
    * 设置 星级
    * @param starlevel
    */
    public void setStarlevel(Integer starlevel){
        this.starlevel = starlevel;
    }
    /**
    * 获取 个人简介
    * @return String
    */
    public String getSummary(){
        return summary;
    }
    /**
    * 设置 个人简介
    * @param summary
    */
    public void setSummary(String summary){
        this.summary = summary;
    }
    /**
    * 获取 照片
    * @return String
    */
    public String getPhotoPath(){
        return photoPath;
    }
    /**
    * 设置 照片
    * @param photoPath
    */
    public void setPhotoPath(String photoPath){
        this.photoPath = photoPath;
    }
    /**
    * 获取 岗位职责
    * @return String
    */
    public String getDuty(){
        return duty;
    }
    /**
    * 设置 岗位职责
    * @param duty
    */
    public void setDuty(String duty){
        this.duty = duty;
    }
    /**
    * 获取 服务承诺
    * @return String
    */
    public String getPromise(){
        return promise;
    }
    /**
    * 设置 服务承诺
    * @param promise
    */
    public void setPromise(String promise){
        this.promise = promise;
    }
    /**
    * 获取 办理事项
    * @return String
    */
    public String getBusiness(){
        return business;
    }
    /**
    * 设置 办理事项
    * @param business
    */
    public void setBusiness(String business){
        this.business = business;
    }
    /**
    * 获取 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
    * @return Integer
    */
    public Integer getOnline(){
        return online;
    }
    /**
    * 设置 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
    * @param online
    */
    public void setOnline(Integer online){
        this.online = online;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof WorkmanEntity) {
            WorkmanEntity tmp = (WorkmanEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",systemUserId:").append(getSystemUserId());
        sb.append(",deptId:").append(getDeptId());
        sb.append(",deptName:").append(getDeptName());
        sb.append(",windowId:").append(getWindowId());
        sb.append(",windowName:").append(getWindowName());
        sb.append(",siteId:").append(getSiteId());
        sb.append(",siteName:").append(getSiteName());
        sb.append(",name:").append(getName());
        sb.append(",number:").append(getNumber());
        sb.append(",userpost:").append(getUserpost());
        sb.append(",posttitle:").append(getPosttitle());
        sb.append(",politicalstatus:").append(getPoliticalstatus());
        sb.append(",dangyuan:").append(getDangyuan());
        sb.append(",phone:").append(getPhone());
        sb.append(",mobile:").append(getMobile());
        sb.append(",starlevel:").append(getStarlevel());
        sb.append(",summary:").append(getSummary());
        sb.append(",photoPath:").append(getPhotoPath());
        sb.append(",duty:").append(getDuty());
        sb.append(",promise:").append(getPromise());
        sb.append(",business:").append(getBusiness());
        sb.append(",online:").append(getOnline());
        return sb.toString();
    }

    public void initAttrValue(){

            this.systemUserId = null;

            this.deptId = null;

            this.deptName = null;

            this.windowId = null;

            this.windowName = null;

            this.siteId = null;

            this.siteName = null;

            this.name = null;

            this.number = null;

            this.userpost = null;

            this.posttitle = null;

            this.politicalstatus = 0;

            this.dangyuan = 0;

            this.phone = null;

            this.mobile = null;

            this.starlevel = null;

            this.summary = null;

            this.photoPath = null;

            this.duty = null;

            this.promise = null;

            this.business = null;

            this.online = 1;
    }
}